close all;
%clear;
cold_data = dlmread('d:\koulu\bioinformatiikka\data\cold.txt','\t');
cold_data_norm = som_normalize(cold_data,'var');

for (i=1:length(cold_data(:,1)))
   var(i) =  cov(cold_data(i,:));
end
%figure(5);
%plot(var)

temp = find(var > 0.01);
for (i=1:length(temp))
   filtered_cold(i,:) = cold_data(temp(i),:);
end
cold_removed = find(var <= 0.01);
dlmwrite('d:\koulu\bioinformatiikka\data\cold_removed.txt',cold_removed', '\t');

%define dimensions
x = 5;
y = 5;
cold_norm = som_normalize(filtered_cold, 'var');
cold_som = som_make(cold_norm, 'msize', [x,y]);
figure(1);
som_show(cold_som);
figure(2);
for (i=1:x*y)
  subplot(x,y,i); 
  [V,I] = som_divide(cold_som, cold_norm,[i],'index');
%  max_v = max(V);
%  min_v = min(V);
  plot(mean(V));
  %hold on;  
  %plot(max_v, 'red');
  %plot(min_v, 'red');
  %hold off;
end

figure(3);
for (i=1:x*y)
  subplot(x,y,i); 
  [V,I] = som_divide(cold_som, cold_norm,[i],'index');
  for (j=1:length(I))
     plot(V(j,:));
     hold on;
  end
%  indices(i,:) = I';
  hold off;
end

% clustering...

[centroids,clusters,err] = kmeans('batch', cold_som, 12);
figure(4);
for (i=1:12)
   subplot(4,3,i);
   plot(centroids(i,:));
end



